Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbTaskSummary

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbTaskSummary

All Implemented Interfaces:
  Externalizable, Serializable, QuickTaskSummary, TaskSummary

    public class JaxbTaskSummary

extends Object
implements TaskSummary

FYI: information in this class must satisfy one of the following requirements: 1. Have both a getter and a setter method 2. Have a getter method and be represented via a field 3. The field must be If you add a new field to this class, then it *MUST* be a

See Also:
  Serialized Form

Constructor Summary
`JaxbTaskSummary()`
`JaxbTaskSummary(TaskSummary taskSum)`

Method Summary
`Date` | `getActivationTime()`
`User` | `getActualOwner()`
`String` | `getActualOwnerId()`
`User` | `getCreatedBy()`
`String` | `getCreatedById()`
`Date` | `getCreatedOn()`
`String` | `getDeploymentId()`
`String` | `getDescription()`
`Date` | `getExpirationTime()`
`Long` | `getId()`
`String` | `getName()`
`Long` | `getParentId()`
`List<String>` | `getPotentialOwners()`
`Integer` | `getPriority()`
`String` | `getProcessId()`
`Long` | `getProcessInstanceId()`
`Integer` | `getProcessSessionId()`
`Status` | `getStatus()`
`String` | `getStatusId()`
`String` | `getSubject()`
`Boolean` | `isQuickTaskSummary()`
`Boolean` | `isSkipable()`
`void` | `readExternal(ObjectInput in)`
`void` | `setActivationTime(Date activationTime)`
`void` | `setActualOwner(User actualOwner)`
`void` | `setActualOwnerId(String id)`
`void` | `setCreatedBy(User createdBy)`
`void` | `setCreatedById(String id)`
`void` | `setCreatedOn(Date createdOn)`
`void` | `setDescription(String description)`
`void` | `setExpirationTime(Date expirationTime)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setPotentialOwners(List<String> potentialOwners)`
`void` | `setPriority(int priority)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setProcessSessionId(int processSessionId)`
`void` | `setSkipable(boolean skipable)`
`void` | `setStatus(Status status)`
`void` | `setSubject(String subject)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbTaskSummary

    public JaxbTaskSummary(TaskSummary taskSum)

### JaxbTaskSummary

    public JaxbTaskSummary()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `QuickTaskSummary`

### setId

    public void setId(long id)

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `QuickTaskSummary`

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### getName

    public String getName()

  Specified by:
    `getName` in interface `QuickTaskSummary`

### setName

    public void setName(String name)

### getSubject

    public String getSubject()

  Specified by:
    `getSubject` in interface `TaskSummary`

### setSubject

    public void setSubject(String subject)

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `TaskSummary`

### setDescription

    public void setDescription(String description)

### getStatus

    public Status getStatus()

  Specified by:
    `getStatus` in interface `TaskSummary`

### setStatus

    public void setStatus(Status status)

### getPriority

    public Integer getPriority()

  Specified by:
    `getPriority` in interface `QuickTaskSummary`

### setPriority

    public void setPriority(int priority)

### isSkipable

    public Boolean isSkipable()

  Specified by:
    `isSkipable` in interface `TaskSummary`

### setSkipable

    public void setSkipable(boolean skipable)

### getActualOwner

    public User getActualOwner()

  Specified by:
    `getActualOwner` in interface `TaskSummary`

### setActualOwner

    public void setActualOwner(User actualOwner)

### getActualOwnerId

    public String getActualOwnerId()

  Specified by:
    `getActualOwnerId` in interface `QuickTaskSummary`

### setActualOwnerId

    public void setActualOwnerId(String id)

### getCreatedBy

    public User getCreatedBy()

  Specified by:
    `getCreatedBy` in interface `TaskSummary`

### setCreatedBy

    public void setCreatedBy(User createdBy)

### getCreatedById

    public String getCreatedById()

  Specified by:
    `getCreatedById` in interface `QuickTaskSummary`

### setCreatedById

    public void setCreatedById(String id)

### getCreatedOn

    public Date getCreatedOn()

  Specified by:
    `getCreatedOn` in interface `QuickTaskSummary`

### setCreatedOn

    public void setCreatedOn(Date createdOn)

### getActivationTime

    public Date getActivationTime()

  Specified by:
    `getActivationTime` in interface `QuickTaskSummary`

### setActivationTime

    public void setActivationTime(Date activationTime)

### getExpirationTime

    public Date getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `QuickTaskSummary`

### setExpirationTime

    public void setExpirationTime(Date expirationTime)

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `QuickTaskSummary`

### setProcessId

    public void setProcessId(String processId)

### getProcessSessionId

    public Integer getProcessSessionId()

  Specified by:
    `getProcessSessionId` in interface `TaskSummary`

### setProcessSessionId

    public void setProcessSessionId(int processSessionId)

### getPotentialOwners

    public List<String> getPotentialOwners()

  Specified by:
    `getPotentialOwners` in interface `TaskSummary`

### setPotentialOwners

    public void setPotentialOwners(List<String> potentialOwners)

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `QuickTaskSummary`

### getStatusId

    public String getStatusId()

  Specified by:
    `getStatusId` in interface `QuickTaskSummary`

### isQuickTaskSummary

    public Boolean isQuickTaskSummary()

  Specified by:
    `isQuickTaskSummary` in interface `TaskSummary`

### getParentId

    public Long getParentId()

  Specified by:
    `getParentId` in interface `QuickTaskSummary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.